

### How to Converting Python Type Data into JSON type Data? ###
'''
# importing the json module
import json

# create a python type object data
employee_data = {
    'eno' : 101,
    'ename' : 'Sachin',
    'salary' : 10000.00,
    'mobile' : (111111,222222),
    'company' : {'name':"TCS","city":"Hyderabad"},
    'is_active' : True
}

# converting python type data into json type data

json_data = json.dumps(employee_data)

print(json_data)
print(type(json_data))
'''



#### How to Converting JSON type Data into Python Type Data?  ####
"""
#importing the json module
import json

# create a json type string object data
json_data = '''{
    "eno" : 101,
    "ename" : "Sachin",
    "salary" : 10000.00,
    "mobile" : [111111,222222],
    "company" : {"name":"TCS","city":"Hyderabad", "phone_number" : [112211, 223322]},
    "is_active" : true
}'''

# converting json type into python type data
python_data = json.loads(json_data)

# display the final output data
print(python_data)
print()
print(type(python_data))
print()
print(python_data["company"]["name"])
print(python_data["company"]["phone_number"][0])
"""


### Example
"""
import json
x = [
        {
        "name" :  "John",
        "age" :  30,
        "married" :  True,
        "divorced" :  False,
        "children" :  ("Ann","Billy"),
        "pets" :  None,
        "cars" : [
            {"model" :  "BMW 230", "mpg": 27.5},
            {"model" :  "Ford Edge", "mpg": 24.1}
        ]
    },
    {
        "name" :  "John",
        "age" :  30,
        "married" :  True,
        "divorced" :  False,
        "children" :  ("Ann","Billy"),
        "pets" :  None,
        "cars" : [
            {"model" :  "BMW 230", "mpg": 27.5},
            {"model" :  "Ford Edge", "mpg": 24.1}
        ]
    },
    {
        "name" :  "John",
        "age" :  30,
        "married" :  True,
        "divorced" :  False,
        "children" :  ("Ann","Billy"),
        "pets" :  None,
        "cars" : [
            {"model" :  "BMW 230", "mpg": 27.5},
            {"model" :  "Ford Edge", "mpg": 24.1}
        ]
    }

]
print(json.dumps(x, indent=2))
# print(json.dumps(x, indent=2, sort_keys=True))
"""





























