
### Accessing Json file Data and Converting into Python Type
'''
import json

with open('developer.json', 'r') as fileObject:
    developer = json.load(fileObject)

print(developer)
print(type(developer))
'''


### Loading Python type data into a JSON file directly using dump()
"""
import  json

python_data = {
  'natme': "jane doe",
  'salary': 9000,
  'skills': [
    "Raspberry pi",
    "Machine Learning",
    "Web Development"
  ],
  "email": "JaneDoe@pynative.com",
  "projects": [
    "Python Data Mining",
    "Python Daa Science"
  ],
}

with open('employee.json', 'w') as fileObject:
    json.dump(python_data, fileObject, indent=4)

print("Data loaded into Json file")
"""


### Converting python type data into json type data using dumps(). Loading the json data into a Json file using fileObject
'''
import  json

python_data = {
  'natme': "jane doe",
  'salary': 9000,
  'skills': [
    "Raspberry pi",
    "Machine Learning",
    "Web Development"
  ],
  "email": "JaneDoe@pynative.com",
  "projects": [
    "Python Data Mining",
    "Python Daa Science"
  ],
}

json_data = json.dumps(python_data, indent=4)

with open('employee2.json', 'w') as fileObject:
  fileObject.write(json_data)

print("Data loaded into Json file")
'''









